[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.ManualDock

ManualDock - permits operator-defined docking

## Declaration

Source position: controls.pp line 1206

`public function TControl.ManualDock(`
`NewDockSite: TWinControl;`
`DropControl: TControl = nil;`
`ControlSide: TAlign = alNone;`
`KeepDockSiteSize: Boolean = true`
`):Boolean; virtual;`

## Arguments

`NewDockSite` |  | The new site to which the control is docked, if DropControl has been found to be nil
`DropControl` |  | If nil (default) then ignored else used as the control for docking, on side specified by ControlSide
`ControlSide` |  | The side on which the control is to be docked, if DropControl is not nil

## Function result

The function returns True if a manual dock has been successfully performed

## Description

Docks this control to DropControl or on NewDockSite.

If DropControl is not nil, ControlSide defines on which side of DropControl this control is docked. (alNone,alClient for stacked in pages). DropControl will become part of a TDockManager.

If DropControl is nil, then DropControl becomes a normal child of NewDockSite and ControlSide is ignored.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.